<div class="flex-container">
  <div style="grid-column-start: span 3;">
    <p>Select the CSV file that contains metadata for each bible.
      This metadata is currently only concerned with the name, code, and publication date
      of each translation.</p>

    <label for="file-upload" class="custom-file-upload">
      <i class="fa fa-cloud-upload"></i> Load CSV
    </label>
    <input id="file-upload" type="file" (change)="changeListener($event.target.files);" />

  </div>
  <div>
    <h2>Upload Queue</h2>

    <div cdkDropList #biblesList="cdkDropList" [cdkDropListData]="bibles" [cdkDropListConnectedTo]="[rejectList]" class="list"
      (cdkDropListDropped)="drop($event)">
      <div class="box" *ngFor="let i of bibles" cdkDrag>
        <table>
          <tr>
            <td><strong>code:</strong></td>
            <td>{{i.code}}</td>
          </tr>
          <tr>
            <td><strong>level:</strong></td>
            <td>{{i.level}}</td>
          </tr>
          <tr>
            <td><strong>name:</strong></td>
            <td>{{i.name}}</td>
          </tr>
          <tr>
            <td><strong>published:</strong></td>
            <td>{{i.published}}</td>
          </tr>
        </table>
      </div>
    </div>
    <BR>
    <button (click)="postWrapper()">Upload</button>
  </div>

  <div>
    <h2>Pass Queue</h2>

    <div cdkDropList #rejectList="cdkDropList" [cdkDropListData]="rejects" [cdkDropListConnectedTo]="[biblesList]"
      class="list" (cdkDropListDropped)="drop($event)">

      <div class="box" *ngFor="let i of rejects" cdkDrag>

        <table>
          <tr>
            <td><strong>code:</strong></td>
            <td>{{i.code}}</td>
          </tr>
          <tr>
            <td><strong>level:</strong></td>
            <td>{{i.level}}</td>
          </tr>
          <tr>
            <td><strong>name:</strong></td>
            <td>{{i.name}}</td>
          </tr>
          <tr>
            <td><strong>published:</strong></td>
            <td>{{i.published}}</td>
          </tr>
        </table>

      </div>
    </div>
  </div>
</div>